| Home | Libraries | People | FAQ | More

## Struct template homogeneous_system

boost::units::homogeneous_system

## Synopsis

    // In header: <boost/units/homogeneous_system.hpp>

    template<typename L>
    struct homogeneous_system {
    };

## Description

A system that can uniquely represent any unit which can be composed from a linearly independent set of base units. It is safe to rebind a unit with such a system to different dimensions.

Do not construct this template directly. Use make_system instead.